Subject: bug#60208: 28.1; Resource exhaustion with emacs 28's native compilation; need "-Q" for trampoline

From: Andrea Corallo <[email-masked]>
Date: Wed, 21 Dec 2022 09:25:38 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 20 Dec 2022 09:30:31 +0000 (UTC)
>> From: Hin-Tak Leung <[email-masked]>
>> Cc: [email-masked]
>> 
>> On Tuesday, 20 December 2022 at 11:32:21 GMT+8, Eli Zaretskii <[email-masked]> wrote:
>> 
>> > I'm not sure this conclusion is correct, because --batch implies -q.
>> > There's a difference between -q and -Q, so are you saying that
>> > emacs-ess is loaded from a site-init file in your case?
>> 
>> Yes, that's right. Fedora has a "/usr/share/emacs/site-lisp/site-start.d/ess-init.el" , which contains the single
>> line, "(require 'ess-site)". Indeed as you said.
>
> Thanks.
>
> Andrea, do you see any problems with adding -Q to the async
> compilation command line, to avoid processing site-init files?

Hi Eli,

no I don't.

> Did we
> have any reasons not to do that from the beginning, or was it just an
> omission?

Not that I remember.  Actually I think we should do this for all
compilations (sync and async).

If okay I can push the fix on emacs-29.

Bests

  Andrea